%global upstream_name django-profile

%global vcsdate 20110216
%global vcstag r458
%global release 5
%global obs_ver 0.6-0.6.20090813svnr420

Name:           python-%{upstream_name}
Version:        0.6
Release:        0.%{release}.%{vcsdate}svn%{vcstag}%{?dist}.2
Summary:        Django pluggable user profile zone

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/django-profile/
# svn export -%%{vcstag} http://django-profile.googlecode.com/svn/trunk/ django-profile-%%{version}-%%{vcstag}
# tar zcf django-profile-%%{version}-%%{vcstag}.tar.gz django-profile-%%{version}-%%{vcstag}
Source:         %{upstream_name}-%{version}-%{vcstag}.tar.gz

Patch0:         %{name}-django15.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-django
Requires:       python-gdata
Requires:       python-imaging

Provides:       django-profile = %{version}-%{release}
Obsoletes:      django-profile <= %{obs_ver}

%description
This is a user private zone/profile management application, allowing
the user to take control of his account and insert information about
him in his profile.

Inside this package you will find a demo application which will show
you what can be accomplished with the rest of the utilities included
in the package.

%prep
%setup -q -n %{upstream_name}-%{version}-%{vcstag}
%patch0 -p1

# this html file shouldn't be executable
chmod a-x userprofile/templates/userprofile/base_2col.html

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%find_lang django
# remove useless django.po files
find $RPM_BUILD_ROOT -type f -name '*.po' -exec rm {} \;

%files -f django.lang
%doc INSTALL.txt CHANGELOG.txt LICENSE.txt README.txt TODO.txt demo/
%{python_sitelib}/userprofile-%{version}-py?.?.egg-info
%dir %{python_sitelib}/userprofile
%{python_sitelib}/userprofile/*.py*
%{python_sitelib}/userprofile/templates
%{python_sitelib}/userprofile/templatetags
%{python_sitelib}/userprofile/urls
# own the whole locale directory hierarchy
%dir %{python_sitelib}/userprofile/locale/
%dir %{python_sitelib}/userprofile/locale/*/
%dir %{python_sitelib}/userprofile/locale/*/*/
%exclude %{python_sitelib}/demo

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.5.20110216svnr458.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.4.20110216svnr458.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 10 2013 Miro Hrončok <mhroncok@redhat.com> - 0.6-0.3.20110216svnr458
- Patched to support Django 1.5
- Added Require python-gdata 

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.2.20110216svnr458.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 16 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6-0.1.20110216svnr458
- Renamed to python-django-profile.
- Updated to newest svn revision.
- Minor specfile cleanup.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.6.20090813svnr420
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.5.20090813svnr420
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.4.20090813svnr420
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.6-0.3.20090813svnr420
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug 14 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.6-0.2.20090813svnr420
- Added docs
- Fixed version in the previous changelog
- Fixed License to BSD based on the LICENSE.txt file
- Moved demo app to docs
- Excluded demo app from python path

* Thu Aug 13 2009 Diego Búrigo Zacarão <diegobz@gmail.com> 0.6-0.1.20090813svnr420
- Initial RPM
